%define upstream_name	 Gtk3-Notify
%define	upstream_version 0.01

%define perl_glib_require 1.240

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl module for libnotify
License:    LGPLv2+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib::Object::Introspection)
BuildRequires: perl(Gtk3)
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends >= 0.300
BuildRequires: perl-Glib-Object-Introspection >= 0.002
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
Requires:   typelib(Notify) = 0.7
%description
This module provides the Perl bindings for libnotify.

Libnotify is a library that sends desktop notifications to a notification
daemon, as defined in the Desktop Notifications spec. These notifications can
be used to inform the user about an event or display some form of information
without getting in the user's way.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl Makefile.PL INSTALLDIRS=vendor

%build
%make OPTIMIZE="%{optflags}"

%install
%makeinstall_std

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Gtk3/Notify*
%_mandir/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-6.mga6
+ Revision: 1028155
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.10.0-5.mga6
+ Revision: 949260
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 788902
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-3.mga5
+ Revision: 750401
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-2.mga5
+ Revision: 684923
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Sat Nov 23 2013 tv <tv> 0.10.0-1.mga4
+ Revision: 552403
- imported package perl-Gtk3-Notify

